spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://${MYSQL_HOST:10.0.0.10}:${MYSQL_PORT:3306}/aioj_prod?useUnicode=true&characterEncoding=utf8&serverTimezone=Asia/Shanghai&useSSL=true&allowPublicKeyRetrieval=true
    username: ${MYSQL_USERNAME:root}
    password: ${MYSQL_PASSWORD:root}
  data:
    redis:
      host: ${REDIS_HOST:10.0.0.10}
      port: ${REDIS_PORT:6379}
      password: ${REDIS_PASSWORD:123456}
      timeout: 10s
      lettuce:
        pool:
          min-idle: 0
          max-idle: 8
          max-active: 8
          max-wait: -1ms
  cloud:
    nacos:
      discovery:
        enabled: true
        register-enabled: true
        server-addr: ${NACOS_ADDR:10.0.0.10:8848}
        username: ${NACOS_USERNAME:nacos}
        password: ${NACOS_PASSWORD:nacos}
